Check a prefix
GET
https://api.vidmoat.com/v1/interactive-sites/availabilityWhether a prefix is allowed and free for this account, and if not, why.
Query parameters#
prefixstringrequiredThe name to check.
Response#
Returns 200.
Response fields#
availablebooleanWhether it can be taken.prefixstringThe name as it would be stored (lower case).codestringWhen not:shape,length,punycode,reserved,brand,phishing,taken,heldoryours.reasonstringWhen not: why, in a sentence.
Errors#
Besides the errors any request can get (authentication, rate limits):
| Status | Code | When |
|---|---|---|
| 429 | rate_limited | More than 40 checks in 10 minutes on the account. |